# Introduction

**bayes_traj** is a software package written in Python that provides
routines for performing Bayesian trajectory
modeling of longitudinal data. Multiple, longitudinally observed target
variables -- continuous, binary, or a combination -- can be modeled
simultaneously. Per-trajectory random effects can also be modeled for
continuous target variables. This package also provides command-line tools
that facilitate spefication of Bayesian priors, enable visualization
of trajectory modeling results, and compute summary and model
fit statistics. 

# Installation

In order to install the package, type the folowing in the terminal:

    $ pip install bayes_traj

# Overview

**bayes_traj** provides several command-line tools: 

* `generate_prior` -- used to speficy Bayesian priors for use the trajectory
  modeling
* `viz_data_prior_draws` -- provides visualization of random draws from the
  prior
* `bayes_traj_main` -- performs Bayesian trajectory modeling using a prior file
* `viz_model_trajs` -- provides visualization of trajectories fit using
  `bayes_traj_main`
* `sumarize_traj_model` -- prints model summary and fit statistics given a model
  file produce by `bayes_traj_main`
* `assign_trajectory` -- writes a data file with appended trajectory assignment
  information given an input data file and a model file generated by the
  `bayes_traj_main` tool  	     

Each of these tools can be run with the -h flag for additional usage information.

For additional documentation, see https://acil-bwh.github.io/bayes_traj/index.html

# Tests

To run all unit tests, type the following in the package root directory:

    $ pytest


# Contribute

Please read our [contribution guidelines](./CONTRIBUTING.md).

